call spQuery_Combo_CuotaCompra_Mes('2013');

DROP PROCEDURE IF EXISTS spQuery_Combo_CuotaCompra_Mes;
CREATE PROCEDURE spQuery_Combo_CuotaCompra_Mes(
  varAnio varchar(4)
  )
BEGIN
  select id_mes, mes
  from 
    (
    SELECT distinct id_mes, 
    case when id_mes = '01' then 'ENERO'
        when id_mes = '02' then 'FEBRERO' 
        when id_mes = '03' then 'MARZO' 
        when id_mes = '04' then 'ABRIL' 
        when id_mes = '05' then 'MAYO' 
        when id_mes = '06' then 'JUNIO' 
        when id_mes = '07' then 'JULIO' 
        when id_mes = '08' then 'AGOSTO' 
        when id_mes = '09' then 'SETIEMBRE' 
        when id_mes = '10' then 'OCTUBRE' 
        when id_mes = '11' then 'NOVIEMBRE' 
        when id_mes = '12' then 'DICIEMBRE' 
    end as mes
    from _sv_cuota_compra_proveedor
    where id_anio = varAnio
    and _estado = 'A'
    UNION
    SELECT distinct id_mes, 
    case when id_mes = '01' then 'ENERO'
        when id_mes = '02' then 'FEBRERO' 
        when id_mes = '03' then 'MARZO' 
        when id_mes = '04' then 'ABRIL' 
        when id_mes = '05' then 'MAYO' 
        when id_mes = '06' then 'JUNIO' 
        when id_mes = '07' then 'JULIO' 
        when id_mes = '08' then 'AGOSTO' 
        when id_mes = '09' then 'SETIEMBRE' 
        when id_mes = '10' then 'OCTUBRE' 
        when id_mes = '11' then 'NOVIEMBRE' 
        when id_mes = '12' then 'DICIEMBRE' 
    end as mes
    from _sv_cuota_compra_familia
    where id_anio = varAnio
    and _estado = 'A'
    ) A
  order by id_mes;
END;